Ceci est le fichier Info cdcd.info, produit par Makeinfo version 4.3 à
partir cdcd.texi.

   This file documents the Cdcd program, version 0.6.5.

   Copyright 2001 Fabrice Bauzac.

   Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

   Permission is granted to copy and distribute modified versions of
this manual under the conditions for verbatim copying, provided that
the entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

   This document describes the Cdcd program: the Command-Driven CD
player.

   This document applies to version 0.6.5 of Cdcd.

GNU GENERAL PUBLIC LICENSE
**************************

                         Version 2, June 1991
     Copyright (C) 1989, 1991 Free Software Foundation, Inc.
     675 Mass Ave, Cambridge, MA 02139, USA

     Everyone is permitted to copy and distribute verbatim copies
     of this license document, but changing it is not allowed.

Preamble
========

   The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Library General Public License instead.)  You can apply it to
your programs, too.

   When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it in
new free programs; and that you know you can do these things.

   To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

   For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

   We protect your rights with two steps: (1) copyright the software,
and (2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

   Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

   Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

   The precise terms and conditions for copying, distribution and
modification follow.

    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
  1. This License applies to any program or other work which contains a
     notice placed by the copyright holder saying it may be distributed
     under the terms of this General Public License.  The "Program",
     below, refers to any such program or work, and a "work based on
     the Program" means either the Program or any derivative work under
     copyright law: that is to say, a work containing the Program or a
     portion of it, either verbatim or with modifications and/or
     translated into another language.  (Hereinafter, translation is
     included without limitation in the term "modification".)  Each
     licensee is addressed as "you".

     Activities other than copying, distribution and modification are
     not covered by this License; they are outside its scope.  The act
     of running the Program is not restricted, and the output from the
     Program is covered only if its contents constitute a work based on
     the Program (independent of having been made by running the
     Program).  Whether that is true depends on what the Program does.

  2. You may copy and distribute verbatim copies of the Program's
     source code as you receive it, in any medium, provided that you
     conspicuously and appropriately publish on each copy an appropriate
     copyright notice and disclaimer of warranty; keep intact all the
     notices that refer to this License and to the absence of any
     warranty; and give any other recipients of the Program a copy of
     this License along with the Program.

     You may charge a fee for the physical act of transferring a copy,
     and you may at your option offer warranty protection in exchange
     for a fee.

  3. You may modify your copy or copies of the Program or any portion
     of it, thus forming a work based on the Program, and copy and
     distribute such modifications or work under the terms of Section 1
     above, provided that you also meet all of these conditions:

       a. You must cause the modified files to carry prominent notices
          stating that you changed the files and the date of any change.

       b. You must cause any work that you distribute or publish, that
          in whole or in part contains or is derived from the Program
          or any part thereof, to be licensed as a whole at no charge
          to all third parties under the terms of this License.

       c. If the modified program normally reads commands interactively
          when run, you must cause it, when started running for such
          interactive use in the most ordinary way, to print or display
          an announcement including an appropriate copyright notice and
          a notice that there is no warranty (or else, saying that you
          provide a warranty) and that users may redistribute the
          program under these conditions, and telling the user how to
          view a copy of this License.  (Exception: if the Program
          itself is interactive but does not normally print such an
          announcement, your work based on the Program is not required
          to print an announcement.)

     These requirements apply to the modified work as a whole.  If
     identifiable sections of that work are not derived from the
     Program, and can be reasonably considered independent and separate
     works in themselves, then this License, and its terms, do not
     apply to those sections when you distribute them as separate
     works.  But when you distribute the same sections as part of a
     whole which is a work based on the Program, the distribution of
     the whole must be on the terms of this License, whose permissions
     for other licensees extend to the entire whole, and thus to each
     and every part regardless of who wrote it.

     Thus, it is not the intent of this section to claim rights or
     contest your rights to work written entirely by you; rather, the
     intent is to exercise the right to control the distribution of
     derivative or collective works based on the Program.

     In addition, mere aggregation of another work not based on the
     Program with the Program (or with a work based on the Program) on
     a volume of a storage or distribution medium does not bring the
     other work under the scope of this License.

  4. You may copy and distribute the Program (or a work based on it,
     under Section 2) in object code or executable form under the terms
     of Sections 1 and 2 above provided that you also do one of the
     following:

       a. Accompany it with the complete corresponding machine-readable
          source code, which must be distributed under the terms of
          Sections 1 and 2 above on a medium customarily used for
          software interchange; or,

       b. Accompany it with a written offer, valid for at least three
          years, to give any third party, for a charge no more than your
          cost of physically performing source distribution, a complete
          machine-readable copy of the corresponding source code, to be
          distributed under the terms of Sections 1 and 2 above on a
          medium customarily used for software interchange; or,

       c. Accompany it with the information you received as to the offer
          to distribute corresponding source code.  (This alternative is
          allowed only for noncommercial distribution and only if you
          received the program in object code or executable form with
          such an offer, in accord with Subsection b above.)

     The source code for a work means the preferred form of the work for
     making modifications to it.  For an executable work, complete
     source code means all the source code for all modules it contains,
     plus any associated interface definition files, plus the scripts
     used to control compilation and installation of the executable.
     However, as a special exception, the source code distributed need
     not include anything that is normally distributed (in either
     source or binary form) with the major components (compiler,
     kernel, and so on) of the operating system on which the executable
     runs, unless that component itself accompanies the executable.

     If distribution of executable or object code is made by offering
     access to copy from a designated place, then offering equivalent
     access to copy the source code from the same place counts as
     distribution of the source code, even though third parties are not
     compelled to copy the source along with the object code.

  5. You may not copy, modify, sublicense, or distribute the Program
     except as expressly provided under this License.  Any attempt
     otherwise to copy, modify, sublicense or distribute the Program is
     void, and will automatically terminate your rights under this
     License.  However, parties who have received copies, or rights,
     from you under this License will not have their licenses
     terminated so long as such parties remain in full compliance.

  6. You are not required to accept this License, since you have not
     signed it.  However, nothing else grants you permission to modify
     or distribute the Program or its derivative works.  These actions
     are prohibited by law if you do not accept this License.
     Therefore, by modifying or distributing the Program (or any work
     based on the Program), you indicate your acceptance of this
     License to do so, and all its terms and conditions for copying,
     distributing or modifying the Program or works based on it.

  7. Each time you redistribute the Program (or any work based on the
     Program), the recipient automatically receives a license from the
     original licensor to copy, distribute or modify the Program
     subject to these terms and conditions.  You may not impose any
     further restrictions on the recipients' exercise of the rights
     granted herein.  You are not responsible for enforcing compliance
     by third parties to this License.

  8. If, as a consequence of a court judgment or allegation of patent
     infringement or for any other reason (not limited to patent
     issues), conditions are imposed on you (whether by court order,
     agreement or otherwise) that contradict the conditions of this
     License, they do not excuse you from the conditions of this
     License.  If you cannot distribute so as to satisfy simultaneously
     your obligations under this License and any other pertinent
     obligations, then as a consequence you may not distribute the
     Program at all.  For example, if a patent license would not permit
     royalty-free redistribution of the Program by all those who
     receive copies directly or indirectly through you, then the only
     way you could satisfy both it and this License would be to refrain
     entirely from distribution of the Program.

     If any portion of this section is held invalid or unenforceable
     under any particular circumstance, the balance of the section is
     intended to apply and the section as a whole is intended to apply
     in other circumstances.

     It is not the purpose of this section to induce you to infringe any
     patents or other property right claims or to contest validity of
     any such claims; this section has the sole purpose of protecting
     the integrity of the free software distribution system, which is
     implemented by public license practices.  Many people have made
     generous contributions to the wide range of software distributed
     through that system in reliance on consistent application of that
     system; it is up to the author/donor to decide if he or she is
     willing to distribute software through any other system and a
     licensee cannot impose that choice.

     This section is intended to make thoroughly clear what is believed
     to be a consequence of the rest of this License.

  9. If the distribution and/or use of the Program is restricted in
     certain countries either by patents or by copyrighted interfaces,
     the original copyright holder who places the Program under this
     License may add an explicit geographical distribution limitation
     excluding those countries, so that distribution is permitted only
     in or among countries not thus excluded.  In such case, this
     License incorporates the limitation as if written in the body of
     this License.

 10. The Free Software Foundation may publish revised and/or new
     versions of the General Public License from time to time.  Such
     new versions will be similar in spirit to the present version, but
     may differ in detail to address new problems or concerns.

     Each version is given a distinguishing version number.  If the
     Program specifies a version number of this License which applies
     to it and "any later version", you have the option of following
     the terms and conditions either of that version or of any later
     version published by the Free Software Foundation.  If the Program
     does not specify a version number of this License, you may choose
     any version ever published by the Free Software Foundation.

 11. If you wish to incorporate parts of the Program into other free
     programs whose distribution conditions are different, write to the
     author to ask for permission.  For software which is copyrighted
     by the Free Software Foundation, write to the Free Software
     Foundation; we sometimes make exceptions for this.  Our decision
     will be guided by the two goals of preserving the free status of
     all derivatives of our free software and of promoting the sharing
     and reuse of software generally.

                                NO WARRANTY

 12. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO
     WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE
     LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
     HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT
     WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
     NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
     FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS TO THE
     QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
     PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY
     SERVICING, REPAIR OR CORRECTION.

 13. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
     WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY
     MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE
     LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL,
     INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR
     INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF
     DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU
     OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY
     OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN
     ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

                      END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Programs
=============================================

   If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these
terms.

   To do so, attach the following notices to the program.  It is safest
to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

     ONE LINE TO GIVE THE PROGRAM'S NAME AND AN IDEA OF WHAT IT DOES.
     Copyright (C) 19YY  NAME OF AUTHOR

     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
     as published by the Free Software Foundation; either version 2
     of the License, or (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Also add information on how to contact you by electronic and paper
mail.

   If the program is interactive, make it output a short notice like
this when it starts in an interactive mode:

     Gnomovision version 69, Copyright (C) 19YY NAME OF AUTHOR
     Gnomovision comes with ABSOLUTELY NO WARRANTY; for details
     type `show w'.  This is free software, and you are welcome
     to redistribute it under certain conditions; type `show c'
     for details.

   The hypothetical commands `show w' and `show c' should show the
appropriate parts of the General Public License.  Of course, the
commands you use may be called something other than `show w' and `show
c'; they could even be mouse-clicks or menu items--whatever suits your
program.

   You should also get your employer (if you work as a programmer) or
your school, if any, to sign a "copyright disclaimer" for the program,
if necessary.  Here is a sample; alter the names:

     Yoyodyne, Inc., hereby disclaims all copyright
     interest in the program `Gnomovision'
     (which makes passes at compilers) written
     by James Hacker.

     SIGNATURE OF TY COON, 1 April 1989
     Ty Coon, President of Vice

   This General Public License does not permit incorporating your
program into proprietary programs.  If your program is a subroutine
library, you may consider it more useful to permit linking proprietary
applications with the library.  If this is what you want to do, use the
GNU Library General Public License instead of this License.

Introduction
************

   The Cdcd program, or Command-Driven CD player, is a command-line
audio CD player.

   It permits you to control your CD drive(s) from any shell prompt, or
from Cdcd's own Readline prompt with command and track completion.  It
can retrieve the information about an audio CD's track names and
artist(s) from any CDDB- or CDIndex-compatible database server.

   Cdcd needs the Libcdaudio library.

   The homepage for Cdcd and Libcdaudio is currently at
<http://libcdaudio.sourceforge.net/>.

   Cdcd was originally written by Antony Arcieri.  Fabrice Bauzac
modified it and is the current maintainer.

Getting Started
***************

   The Cdcd program works in two ways: either in the non-interactive
interface from the command-line, or interactively, from the Cdcd prompt.

   This chapter documents a subset of the non-interactive interface, to
get started.

   The general non-interactive syntax for `cdcd' is:

     cdcd COMMAND ARGUMENTS...

The `play' command
==================

   You can play the current track of an audio CD with this command:

     cdcd play

   The current track is a variable contained into your CD drive; it is
generally the first track (1).

   To play a specific track, type

     cdcd play TRACKNUM

   Replace TRACKNUM with the track number you want to play.  The CD
drive will keep playing tracks until it reaches a non-audio track or the
last track.

   If you know a part of the title of the track you want to play, you
can type

     cdcd play PART

   For example, you may type `cdcd play free' to play the Free Software
Song, sung by Richard Stallman.

Other useful commands
=====================

   Other useful commands include:

`stop'
     Stop playing.

`pause'
`resume'
     Pause, resume a paused song.

`toggle'
     Toggle between pausing/resuming a song.

`open'
`close'
     Open, close the CD tray.

`next'
`prev'
     Play the next or previous track.

`tracks'
     Show information about the current CD.

Invocation
**********

   Cdcd accepts options and/or commands as arguments.

     cdcd [OPTIONS...] [COMMAND [COMMAND PARAMETERS...]]

   If no command is given, it starts the interactive prompt.

Command-line options
====================

   Cdcd accepts three options.

`-h'
`--help'
     Print a summary of the command-line options and commands to Cdcd
     and exit.

`-v'
`--version'
     Print the version number of Cdcd and exit.

`-d DEVICE'
`--device=DEVICE'
     Use DEVICE as the device name.  The default is `/dev/cdrom'.
     See The `device' command, to change the device
     using a command.

General Commands
================

   The commands described in this section can be used either from the
command-line, like this:

     cdcd COMMAND [ARGUMENTS...]

   or from Cdcd's root prompt.  See The Cdcd Prompt, for more info.

Playing
-------

   * The `play' command may be used to play a track.

          play [START-TRACK [START-TIME] [END-TRACK]]

     A track is either a track number, or a part of a track name
     (case-insensitive).  A time is in the `MM:SS' form, e.g. `3:12',
     `:24', `1:'.

   * You can stop the CD drive from playing, with the `stop' command.

   * The `pause' and `resume' commands can be used to temporarily pause
     the playing of a CD track, allowing the user to resume the play
     where it was paused, unlike `stop'.  The `toggle' command switches
     between pausing and playing the current song.

   * The `rndplay' command plays a random track.

Moving around
-------------

   * You can start playing the next or previous track with the `next'
     and `prev' commands.

   * The `ff' and `rew' commands let you change the playing position
     within the current track.

          ff [MM:SS]
          rew [MM:SS]

     For example, `ff 3:12' will jump forward by 192 seconds; `rew :12'
     will jump backward by 12 seconds.

     The default time to jump is 15 seconds; i.e. `ff' means `ff :15'.

Displaying Useful Information
-----------------------------

   * The `status' command gives bare-bones information about the status
     of the CD.

     For more information, use the `info' command below.

   * The `info' command displays statistics about the CD, such as the
     name, artist, track number, time, etc.

   * Cdcd will display the album, artist, track length and track titles
     with the `tracks' command.

     If a track line contains the `>' marker, it means it is the current
     track.

   * The `ext' command gives the extended information of the CD or a
     track.

          ext
          ext TRACKNAME
          ext TRACKNUM
          ext disc

Changing discs
--------------

   * You can open and close the disc tray with the `open'/`eject' and
     `close' commands.

   * The `device' command lets you change the device name that Cdcd
     controls (default `/dev/cdrom').  See The `--device' option,
     for information about setting the device
     with a command-line option.

          device DEVICE

Multi-disc Drives
.................

   If you own a drive that supports several discs (a cd changer), you
can use the following commands to control it.

   * The `slot' command lets you choose which slot to activate.

          slot DISC-NUMBER

     where DISC-NUMBER is the number of the slot you want to activate.

   * The `list' command will display the entire contents of your
     changer.

   _Note_: CD changers are not supported on all platforms.

Controlling the Drive's Volume
------------------------------

   * The `setvol' command can set the drive's volume.

     Drives can have from two to four channels.  The four channels are:
     front left (`fl'), front right(`fr'), back left (`bl') and back
     right (`br').  Two-channel drives only use the front channels.
     Each channel volume can be set to a value between 0 and 255
     inclusive.

          setvol [VOLUME] [f=VOLUME] [b=VOLUME] [l=VOLUME]
                 [r=VOLUME] [fl=VOLUME] [fr=VOLUME]
                 [bl=VOLUME] [br=VOLUME]

   * The `getvol' command displays the volume settings.

   *Note*: if you listen to your tracks through a mixer-capable device
such as a sound card, it is best to leave the drive's volume settings to
the default (usually 255), since the drive's mixer is basic and is less
easily controlled.  The `setvol' and `getvol' commands are provided
only for completeness.  Use `/dev/mixer' instead.

Other Commands
--------------

   * The `refresh' command looks up for the current CD's information in
     the cd databases online, and updates it.

   * You can control Cdcd's verbosity with the `verbose' command.  When
     verbosity is off, Cdcd will display only necessary information.

          verbose on
          verbose off

The Cdcd Prompt
***************

   When you invoke Cdcd with no command on the command-line, for example
`cdcd', then you enter the interactive prompt.  The output looks like
this:

     cdcd 0.5.6
     Copyright (C) 1998, 1999 Tony Arcieri.
     Copyright (C) 2001 Fabrice Bauzac.
     cdcd is free software, covered by the GNU General Public Licence, and
     you are welcome to change it and/or distribute copies of it under
     certain conditions.  There is absolutely no warranty for cdcd.  See the
     file COPYING for details.
     Using libcdaudio 0.99.5.
     Enter ? for help.
     cdcd>

   The prompt, `cdcd>', tells us that we are in the "root" directory of
commands.  Here is a table of all the command directories in Cdcd:

`(root)'
     The main directory.  You can use all of the basic commands.  See
     General Commands, for information about the basic commands.

`sites'
     From this directory, you can manipulate your list of cd database
     servers.

`edit'
     This directory is used to modify the contents of the current disc's
     database entry: artist, album, track names...

`access'
     The access commands are in this directory.  They permit you to
     change the online/offline setting, and the proxy configuration.

The Directories System
======================

   The commands in Cdcd are organized in groups: general commands,
commands related to edition of the CD info, etc.  Because these groups
are nested, they are called directories.

   The directories are root, `edit', `access', and `sites'.

   The prompt tells you in which directory you are.  e.g. `cdcd>' means
that you are in the root directory, whereas `cdcd/access>' means you
are in the `access' directory.

   You can change the current directory in two ways.

   * You can go into one subdirectory typing its name.  e.g. if you are
     in the root directory and want to go to the `sites' subdirectory,
     type `sites'.

   * You can go back up one directory typing "`..'"; e.g. if you are in
     the `edit' subdirectory and type "`..'", then you'll be in the
     root directory.

   You can use the `help' command to list all of the available commands
in the current directory.  `?' is an alias for `help'.

   You can display information about a particular command with the
following syntax:

     help COMMAND

   Then Cdcd will display the on-line help for the command COMMAND.

Miscellaneous Root Commands
===========================

   Most of the root commands have been already described, in the case of
non-interactive use; see General Commands, for more information.
Some commands can be used specifically in interactive Cdcd:

   * `!' is the generic shell call.  You can execute a shell from within
     Cdcd with this command: just type `!'.  You can execute any program
     by typing it and its arguments after the `!'; e.g. `! ls -l ~rms'.

   * `debug' shows a number of debugging information.

   * `quit' lets you quit Cdcd.  `exit' is an alias.  You can type
     `C-d' (also known as `^D') too.

The Sites Directory
===================

   The `sites' directory can be used to customize the list of CD
database servers.

   * ``refresh' [URL]' updates the CDDB server list from the default
     server or from the specified URL.

   * `display' shows the current buffer list.

   * ``add' LOCATION url=URL TYPE' adds url URL with type TYPE (one of
     `CDDB' or `CDI') at position number LOCATION in the list.

   * ``del' LOCATION' deletes the entry number LOCATION from the list.

   * ``move' SOURCE DESTINATION' moves the entry number SOURCE to
     position number DESTINATION.

The Edit Directory
==================

   The `edit' directory is used to edit the information about a CD: the
album name, artist, and track names.

   * ``name' [NAME]' is the command to get (if NAME is not supplied) or
     set (if it is) the disc name.

   * ``artist' [ARTIST]' is for the artist for the whole CD.

   * ``genre' [GENRE]' for the genre.

   * ``track' TRACKNUM [TITLE]' for the track number TRACKNUM's title.

   * With the `submit' command, you can submit your modifications to a
     cd database such as CDDB or CDIndex.

          submit [EMAIL]

     You have to specify an e-mail address.

The Access Directory
====================

   The `access' directory permits the user to configure the access to
the internet.

   * `access' displays the current access method.

   * `remote' sets the current access method to `remote', i.e. Cdcd
     will try to connect to remote databases.

   * `local' sets the current access method to `local', i.e. Cdcd will
     only access the database locally, and not attempt to reach the
     outside world.

   * ``proxy' [URL | off]' sets the current HTTP proxy to URL or turns
     proxying off.  Without argument, it shows the current status.

Reporting Bugs
**************

   If you find a bug, please report it to <noon@users.sourceforge.net>.
Please give as many details as possible; you can try to explain a
possible interpretation but _please_, report _facts_ primarily.

   Explain how to reproduce the bug if you can, as it often speeds up
the localization of the bug.

   Remember to supply the version number of Cdcd and Libcdaudio.